experimental
List field pairs for a component.
List field pairs on a component for the field-level focused views.
GET
/
v0
/
experimental
/
component
/
{id}
/
field-pairs
List field pairs for a component.
curl --request GET \
--url https://{hostname}.gable.ai/v0/experimental/component/{id}/field-pairs \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/experimental/component/{id}/field-pairs"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/experimental/component/{id}/field-pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fieldPairs": [
{
"fieldPairGroupId": "<string>",
"payloadGroupId": "<string>",
"componentId": "<string>",
"ingress": {
"componentId": "<string>",
"xgressId": "<string>",
"fieldPath": "<string>",
"dataType": "<string>"
},
"egress": {
"componentId": "<string>",
"xgressId": "<string>",
"fieldPath": "<string>",
"dataType": "<string>"
},
"isSuppressed": true,
"upstreamSourcesCount": 123,
"downstreamConsumersCount": 123,
"upstreamDependencies": [
{
"componentName": "<string>",
"field": "<string>",
"hops": 123,
"path": [
{
"componentName": "<string>",
"field": "<string>"
}
]
}
],
"downstreamDependencies": [
{
"componentName": "<string>",
"field": "<string>",
"hops": 123,
"path": [
{
"componentName": "<string>",
"field": "<string>"
}
]
}
],
"strandIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>"
}
]
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
UUID of the component.
Query Parameters
Optional payload to scope the returned field pairs to.
Optional filter by row provenance. Provenance of a field pair row. SCAN = produced by scanner output. BYO_ADD / BYO_CHANGE / BYO_SUPPRESS = produced by the corresponding user-initiated event. Stored, not derived — carries history.
Available options:
SCAN, BYO_ADD, BYO_CHANGE, BYO_SUPPRESS Optional filter by suppression state.
Response
List of field pairs.
List of field pairs for a component.
Show child attributes
Show child attributes
⌘I
List field pairs for a component.
